Bug 1901594 - Kubernetes resource CRUD operations.Kubernetes resource CRUD operations Pod "before all" hook for "creates the resource instance"
Summary: Kubernetes resource CRUD operations.Kubernetes resource CRUD operations Pod "...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
: 1901647 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-25 15:30 UTC by Lokesh Mandvekar
Modified: 2021-02-24 15:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Kubernetes resource CRUD operations.Kubernetes resource CRUD operations Pod "before all" hook for "creates the resource instance" Monitoring: Alerts.Monitoring: Alerts "after all" hook for "creates and expires a Silence" Monitoring: Alerts.Monitoring: Alerts "before all" hook for "displays and filters the Alerts list page, links to detail pages" Namespace.Namespace "after all" hook for "lists, creates, and deletes" Namespace.Namespace "before all" hook for "lists, creates, and deletes" Visiting other routes.Visiting other routes "before all" hook for "successfully displays view for route: /"
Last Closed: 2021-02-24 15:35:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7365 0 None closed Bug 1901594: bump node-sass to 5.0.0 2021-01-13 04:52:22 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:36:19 UTC

Internal Links: 1901618 1901647

Description Lokesh Mandvekar 2020-11-25 15:30:17 UTC
test:
Kubernetes resource CRUD operations.Kubernetes resource CRUD operations Pod "before all" hook for "creates the resource instance" 

is failing frequently in CI, see search results:
https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=Kubernetes+resource+CRUD+operations%5C.Kubernetes+resource+CRUD+operations+Pod+%22before+all%22+hook+for+%22creates+the+resource+instance%22


See: https://prow.ci.openshift.org/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-console-aws-4.7/1331565108702220288

Copying artifacts from /go/src/github.com/openshift/console...
2020/11/25 12:36:51 Container test in pod e2e-aws-console failed, exit code 6, reason Error
2020/11/25 12:48:36 Container teardown in pod e2e-aws-console completed successfully
2020/11/25 12:48:45 Copied 129.45MB of artifacts from e2e-aws-console to /logs/artifacts/e2e-aws-console
2020/11/25 12:49:21 Container artifacts in pod e2e-aws-console completed successfully
2020/11/25 12:49:21 Releasing leases for "e2e-aws-console"
2020/11/25 12:49:21 Releasing lease "3e6c4d90-c379-4469-901f-55328eca22b9" for "aws-quota-slice"
2020/11/25 12:49:21 No custom metadata found and prow metadata already exists. Not updating the metadata.
2020/11/25 12:49:21 Ran for 1h1m45s
error: some steps failed:
  * could not run steps: step e2e-aws-console failed: template pod "e2e-aws-console" failed: the pod ci-op-sbm6qvsp/e2e-aws-console failed after 59m33s (failed containers: test): ContainerFailed one or more containers exited
Container test exited with code 6, reason Error
---
-        - │
  └────────────────────────────────────────────────────────────────────────────────────────────────┘
    ✖  4 of 8 failed (50%)                      04:31      208        9        6        -      193  
error Command failed with exit code 6.
info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command.
yarn run v1.21.0
$ yarn cypress-merge && yarn cypress-generate
$ mochawesome-merge ./gui_test_screenshots/cypress_report*.json > ./gui_test_screenshots/cypress.json
$ marge -o ./gui_test_screenshots/ -f cypress-report -t 'OpenShift Console Cypress Test Results' -p 'OpenShift Cypress Test Results' --showPassed false --assetsDir ./gui_test_screenshots/cypress/assets ./gui_test_screenshots/cypress.json
✓ Reports saved:
/go/src/github.com/openshift/console/frontend/gui_test_screenshots/cypress-report.html
Done in 1.52s.
yarn run v1.21.0
$ echo '
A11y Test Results:' && mv packages/integration-tests-cypress/cypress-a11y-report.json ./gui_test_screenshots/ && node -e "console.table(JSON.parse(require('fs').readFileSync(process.argv[1])));" ./gui_test_screenshots/cypress-a11y-report.json
A11y Test Results:
┌──────────────────┬────────┐
│     (index)      │ Values │
├──────────────────┼────────┤
│   numberChecks   │  '0'   │
│ numberViolations │  '0'   │
└──────────────────┴────────┘
Done in 0.20s.
+ copyArtifacts
+ '[' -d /tmp/artifacts ']'
+ '[' -d frontend/gui_test_screenshots ']'
++ pwd
+ echo 'Copying artifacts from /go/src/github.com/openshift/console...'
+ cp -r frontend/gui_test_screenshots /tmp/artifacts/gui_test_screenshots
Copying artifacts from /go/src/github.com/openshift/console...
---

Comment 1 Lokesh Mandvekar 2020-11-25 15:59:59 UTC
Another Test by the name "Kubernetes resource CRUD operations.Kubernetes resource CRUD operations user.openshift.io~v1~Group "after all" hook for "deletes the resource instance"" fails with the same error.

Link: https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-ocp-installer-console-aws-4.7/1331565108702220288

Comment 2 Scott Dodson 2020-11-25 16:17:37 UTC
These tests are all unique to the console and it's not immediately clear to me what's happening so moving this over there.

Comment 3 Andrew Pickering 2020-11-26 09:20:22 UTC
*** Bug 1901647 has been marked as a duplicate of this bug. ***

Comment 5 Yadan Pei 2020-11-27 07:19:59 UTC
"before all" hook for "creates the resource instance": Kubernetes resource CRUD operations Pod "before all" hook for "creates the resource instance" expand_less 	0s
AssertionError: Timed out retrying: Expected to find element: `[data-test="item-create"]`, but never found it.

Because this error occurred during a `before all` hook we are skipping the remaining tests in the current suite: `Kubernetes resource CRUD op...`

Although you have test retries enabled, we do not retry tests when `before all` or `after all` hooks fail
    at Context.eval (https://console-openshift-console.apps.ci-op-3191yrbv-c22bb.origin-ci-int-aws.dev.rhcloud.com/__cypress/tests?p=tests/crud/k8-openshift-cruds.spec.ts:37304:8)



"before all" hook for "lists, creates, and deletes": Namespace "before all" hook for "lists, creates, and deletes" expand_less 	0s
AssertionError: Timed out retrying: Expected to find element: `[data-test-id="login"]`, but never found it.

Because this error occurred during a `before all` hook we are skipping the remaining tests in the current suite: `Namespace`

Although you have test retries enabled, we do not retry tests when `before all` or `after all` hooks fail
    at Context.eval (https://console-openshift-console.apps.ci-op-3191yrbv-c22bb.origin-ci-int-aws.dev.rhcloud.com/__cypress/tests?p=tests/crud/namespace-crud.spec.ts:12999:32)


It seems tests are failing because these elements are not found

Comment 6 Samuel Padgett 2020-12-02 15:19:49 UTC
This is happened because the OSBS builds are broken due to our Node.js 14 update. The tests being run don't have the necessary console changes, so they always fail.

Comment 8 Yadan Pei 2020-12-08 03:31:04 UTC
Didn't see this error in recent 4 days, will keep watching

Comment 9 Yadan Pei 2020-12-14 07:13:48 UTC
Search CI test results and only one failure, I think the issue is fixed as expected since before we fixed it, it fails quite frequently

https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=Kubernetes+resource+CRUD+operations%5C.Kubernetes+resource+CRUD+operations+Pod+%22before+all%22+hook+for+%22creates+the+resource+instance%22


Moving to VERIFIED

Comment 12 errata-xmlrpc 2021-02-24 15:35:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.